package ru.yandex.webmaster3.viewer.microdata.data;

import com.fasterxml.jackson.databind.node.ObjectNode;

/**
 * @author avhaliullin
 */
public class MicrodataByUrlResult {
    private final Status status;
    private final ObjectNode response;

    public MicrodataByUrlResult(Status status, ObjectNode response) {
        this.status = status;
        this.response = response;
    }

    public ObjectNode getResponse() {
        return response;
    }

    public Status getStatus() {
        return status;
    }

    public enum Status {
        OK,
        FAILED_TO_DOWNLOAD,
        COMPLEX_DOCUMENT
    }
}
